| FFmpegKit Linux API 4.5.1

Public Member Functions
ffmpegkit::MediaInformationSession::PublicMediaInformationSession Struct Reference

## Public Member Functions
| PublicMediaInformationSession (const std::shared_ptr< std::list< std::string >> arguments, ffmpegkit::MediaInformationSessionCompleteCallback completeCallback, ffmpegkit::LogCallback logCallback)
Public Member Functions inherited from ffmpegkit::MediaInformationSession
std::shared_ptr< ffmpegkit::MediaInformation > | getMediaInformation ()
void | setMediaInformation (const std::shared_ptr< ffmpegkit::MediaInformation > mediaInformation)
ffmpegkit::MediaInformationSessionCompleteCallback | getCompleteCallback ()
bool | isFFmpeg () const override
bool | isFFprobe () const override
bool | isMediaInformation () const override
Public Member Functions inherited from ffmpegkit::AbstractSession
| AbstractSession (const std::shared_ptr< std::list< std::string >> arguments, const ffmpegkit::LogCallback logCallback, const LogRedirectionStrategy logRedirectionStrategy)
void | waitForAsynchronousMessagesInTransmit (const int timeout) const
ffmpegkit::LogCallback | getLogCallback () const override
long | getSessionId () const override
std::chrono::time_point< std::chrono::system_clock > | getCreateTime () const override
std::chrono::time_point< std::chrono::system_clock > | getStartTime () const override
std::chrono::time_point< std::chrono::system_clock > | getEndTime () const override
long | getDuration () const override
std::shared_ptr< std::list< std::string > > | getArguments () const override
std::string | getCommand () const override
std::shared_ptr< std::list< std::shared_ptr< ffmpegkit::Log > > > | getAllLogsWithTimeout (const int waitTimeout) const override
std::shared_ptr< std::list< std::shared_ptr< ffmpegkit::Log > > > | getAllLogs () const override
std::shared_ptr< std::list< std::shared_ptr< ffmpegkit::Log > > > | getLogs () const override
std::string | getAllLogsAsStringWithTimeout (const int waitTimeout) const override
std::string | getAllLogsAsString () const override
std::string | getLogsAsString () const override
std::string | getOutput () const override
ffmpegkit::SessionState | getState () const override
std::shared_ptr< ffmpegkit::ReturnCode > | getReturnCode () const override
std::string | getFailStackTrace () const override
ffmpegkit::LogRedirectionStrategy | getLogRedirectionStrategy () const override
bool | thereAreAsynchronousMessagesInTransmit () const override
void | addLog (const std::shared_ptr< ffmpegkit::Log > log) override
void | startRunning () override
void | complete (const std::shared_ptr< ffmpegkit::ReturnCode > returnCode) override
void | fail (const char *error) override
void | cancel () override

## Additional Inherited Members
Static Public Member Functions inherited from ffmpegkit::MediaInformationSession
static std::shared_ptr< ffmpegkit::MediaInformationSession > | create (const std::shared_ptr< std::list< std::string >> arguments)
static std::shared_ptr< ffmpegkit::MediaInformationSession > | create (const std::shared_ptr< std::list< std::string >> arguments, ffmpegkit::MediaInformationSessionCompleteCallback completeCallback)
static std::shared_ptr< ffmpegkit::MediaInformationSession > | create (const std::shared_ptr< std::list< std::string >> arguments, ffmpegkit::MediaInformationSessionCompleteCallback completeCallback, ffmpegkit::LogCallback logCallback)
Static Public Attributes inherited from ffmpegkit::AbstractSession
static constexpr int | DefaultTimeoutForAsynchronousMessagesInTransmit = 5000

## Detailed Description

Definition at line 44 of file MediaInformationSession.cpp.

## Constructor & Destructor Documentation

## ◆ PublicMediaInformationSession()

ffmpegkit::MediaInformationSession::PublicMediaInformationSession::PublicMediaInformationSession | ( | const std::shared_ptr< std::list< std::string >> | arguments,
|  | ffmpegkit::MediaInformationSessionCompleteCallback | completeCallback,
|  | ffmpegkit::LogCallback | logCallback
| ) |  |
| inline

Definition at line 45 of file MediaInformationSession.cpp.

The documentation for this struct was generated from the following file:

- MediaInformationSession.cpp